> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an assistant



## OpenAPI

````yaml https://dev.flextell.ai/docs/api.json post /v1/assistants
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: '## Flextell API'
servers:
  - url: https://dev.flextell.ai/api
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/assistants:
    post:
      tags:
        - Assistant
      summary: Create an assistant
      operationId: assistant.store
      parameters:
        - name: X-Tenant
          in: header
          required: true
          description: >-
            Tenant identifier. Send the Tenant ID in the `X-Tenant` header to
            scope API requests to a specific tenant.
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssistantStoreRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    AssistantStoreRequest:
      type: object
      properties:
        name:
          type: string
          description: Assistant's name.
          maxLength: 255
        email:
          type: string
          format: email
          description: Assistant's email address.
          maxLength: 255
        password:
          type: string
          description: Assistant's password.
          minLength: 8
        password_confirmation:
          type: string
          description: Assistant's password confirmation. Must match the password field.
          minLength: 8
        phone:
          type:
            - string
            - 'null'
          description: Assistant's phone number.
          maxLength: 20
        language:
          type:
            - array
            - 'null'
          description: Assistant's language preferences.
          items:
            type: string
        avatar_url:
          type:
            - string
            - 'null'
          description: Assistant's avatar URL.
          maxLength: 1000
        is_active:
          type:
            - boolean
            - 'null'
          description: Assistant's active status.
      required:
        - name
        - email
        - password
        - password_confirmation
      title: AssistantStoreRequest
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````